Package org.pushingpixels.substance.api.painter.fill

# Interface SubstanceFillPainter

All Superinterfaces:
  `SubstanceTrait`

All Known Implementing Classes:
  `ClassicFillPainter`, `FractionBasedFillPainter`, `GlassFillPainter`, `MatteFillPainter`, `SimplisticFillPainter`, `StandardFillPainter`, `SubduedFillPainter`, `SubstanceImageCreator.SimplisticSoftBorderReverseFillPainter`

public interface SubstanceFillPainter extends SubstanceTrait
Fill painter interface for Substance look and feel. This class is part of officially supported API.

## Method Summary

Modifier and Type
Method
Description
`void`
`paintContourBackground(Graphics g, Component comp, int width, int height, Shape contour, boolean isFocused, SubstanceColorScheme fillScheme, boolean hasShine)`
Fills the contour that matches the specified parameters.

### Methods inherited from interface org.pushingpixels.substance.api.trait.SubstanceTrait

`getDisplayName`

## Method Details

### paintContourBackground

void paintContourBackground(Graphics g, Component comp, int width, int height, Shape contour, boolean isFocused, SubstanceColorScheme fillScheme, boolean hasShine)
Fills the contour that matches the specified parameters.

Parameters:
  `g` - Graphics context.
  `comp` - Component to paint.
  `width` - Width of a UI component.
  `height` - Height of a UI component.
  `contour` - Contour of a UI component.
  `isFocused` - Indication whether component owns the focus.
  `fillScheme` - The fill color scheme.
  `hasShine` - Indication whether the returned image should have a 3D shine spot in its top half.